Page MenuHomePhabricator

[ReleaseNotes] Mention -fmacro-prefix-map and -ffile-prefix-map.
AcceptedPublic

Authored by Lekensteyn on Feb 22 2020, 11:26 AM.

Diff Detail

Event Timeline

Lekensteyn created this revision.Feb 22 2020, 11:26 AM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 22 2020, 11:26 AM
MaskRay added inline comments.Feb 22 2020, 1:08 PM
clang/docs/ReleaseNotes.rst
142

It affects __FILE__ (C99) __BASE_FILE__ (GNU extension) and __FILE_NAME__ (clang extension).

Should such change be committed directly to the release/10.x branch by @hans ?

hans added a comment.Feb 25 2020, 4:19 AM

Should such change be committed directly to the release/10.x branch by @hans ?

Peter can commit to release/10.x himself, or let me know if he prefers me to do it. Thanks for writing release notes!

Lekensteyn marked 2 inline comments as done.

Updated the comment based on @MaskRay's feedback, thanks!
This (and the previous) patch were based on release/10.x, I plan to commit it later today since the final tag is tomorrow.

dankm accepted this revision.May 5 2020, 8:37 PM
This revision is now accepted and ready to land.May 5 2020, 8:37 PM